commit:     0777e0f6d1f8a9150a7527ec6eb15603ee944b97
Author:     Skythrew <mael.guerin023 <AT> gmail <DOT> com>
AuthorDate: Wed Oct 18 16:32:10 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Wed Oct 18 17:00:49 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0777e0f6

games-util/heroic-bin: add 2.9.2

Signed-off-by: Skythrew <mael.guerin023 <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/33346
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 games-util/heroic-bin/Manifest                |   1 +
 games-util/heroic-bin/heroic-bin-2.9.2.ebuild | 139 ++++++++++++++++++++++++++
 2 files changed, 140 insertions(+)

diff --git a/games-util/heroic-bin/Manifest b/games-util/heroic-bin/Manifest
index 93f70df57731..003488f6dc3e 100644
--- a/games-util/heroic-bin/Manifest
+++ b/games-util/heroic-bin/Manifest
@@ -1,3 +1,4 @@
 DIST 
com.heroicgameslauncher.hgl.desktop-6dfb2758e531af693f0baffa15240f152aadd68b 
317 BLAKE2B 
e4c7cc834bc8688703b982897b13542543a3d28c50f7fe3f8e680c233762d612c0b24f7036919571451b96002f493cb55fb6d75241e124879ae486c5b4053f96
 SHA512 
314c7449ee7b83c77eda117536d0c2da1c5d3882a3f08f5fe0381451de734ed388e8941de8440521dad2f2fc335d214345e7301a2929b8fefa4f64a7a2ff804e
 DIST com.heroicgameslauncher.hgl.png-6dfb2758e531af693f0baffa15240f152aadd68b 
9797 BLAKE2B 
c6f76df4ec2fd25323f5c37e03605647ede8f8c2ed48cfbb8af11aad22ae90182d3678b943633b46a2d8dfb0c1cbd1a275b6c62dde238b9b0f68cbafb4bf3697
 SHA512 
68e9881fb4f123008398409825aa8cf70cec34365a23adb1234f7c054a14f40d159e7d8912cfedac0bb2b12f1d3c3c980469c2fca9735d4bc06bd4074aecc7e3
 DIST heroic-bin-2.8.0.tar.xz 98002940 BLAKE2B 
43059c4be66e86a3a3bb8b1b93fb41259dfc8a773ccaacb4e91a5eb955e602dab21100840eded9a710950d2b9d8f1df7c2c62a48f37738ed7f1ab5a40cc46198
 SHA512 
e0bd8e4b36149766d4f5485ba19752058a689d234f90caa89ca707e46295bf52b52e454768da6e298608894fdca0cd44128a56b0974ff93aac49f9fbce58dd05
+DIST heroic-bin-2.9.2.tar.xz 101500808 BLAKE2B 
93776e387e5934b59ad901cad564702a9b519dc40c5782a75cc1da111cd9cc9ec56876387aeed525d03ef425580bd49d1ef6425345c5c1d24c0fd8bbdf3dfde4
 SHA512 
146421dee45d1e93233a7936642146d42db307349551058dea858a869f04f32d2921b3bcc45be3ba041c9a48ae11641dce6d16b72186c4c385a7f25aa3ff19d3

diff --git a/games-util/heroic-bin/heroic-bin-2.9.2.ebuild 
b/games-util/heroic-bin/heroic-bin-2.9.2.ebuild
new file mode 100644
index 000000000000..41737f425914
--- /dev/null
+++ b/games-util/heroic-bin/heroic-bin-2.9.2.ebuild
@@ -0,0 +1,139 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+APP_NAME=${P/-bin/}
+APP_URI="https://github.com/Heroic-Games-Launcher/HeroicGamesLauncher";
+APP_RESOURCES_COMMIT=6dfb2758e531af693f0baffa15240f152aadd68b
+
+CHROMIUM_LANGS="
+       af am ar bg bn ca cs da de el en-GB en-US es es-419 et fa fi fil fr gu 
he hi
+       hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr 
sv
+       sw ta te th tr uk ur vi zh-CN zh-TW
+"
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit chromium-2 desktop python-single-r1 xdg
+
+DESCRIPTION="GOG and Epic Games Launcher for Linux"
+HOMEPAGE="https://heroicgameslauncher.com/
+       https://github.com/Heroic-Games-Launcher/HeroicGamesLauncher/";
+SRC_URI="
+       ${APP_URI}/releases/download/v${PV}/heroic-${PV}.tar.xz
+               -> ${P}.tar.xz
+
+       
${APP_URI}/raw/${APP_RESOURCES_COMMIT}/flatpak/com.heroicgameslauncher.hgl.desktop
+               -> com.heroicgameslauncher.hgl.desktop-${APP_RESOURCES_COMMIT}
+
+       
${APP_URI}/raw/${APP_RESOURCES_COMMIT}/flatpak/com.heroicgameslauncher.hgl.png
+               -> com.heroicgameslauncher.hgl.png-${APP_RESOURCES_COMMIT}
+"
+S="${WORKDIR}"/${APP_NAME}
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       app-accessibility/at-spi2-core
+       app-arch/brotli
+       app-arch/bzip2
+       dev-libs/expat
+       dev-libs/fribidi
+       dev-libs/glib
+       dev-libs/gmp
+       dev-libs/libffi
+       dev-libs/libpcre2
+       dev-libs/libtasn1
+       dev-libs/nettle
+       dev-libs/nspr
+       dev-libs/nss
+       dev-libs/wayland
+       media-fonts/freefont
+       media-gfx/graphite2
+       media-libs/alsa-lib
+       media-libs/fontconfig
+       media-libs/freetype
+       media-libs/harfbuzz
+       media-libs/libepoxy
+       media-libs/libjpeg-turbo
+       media-libs/libpng
+       media-libs/mesa
+       media-video/ffmpeg
+       net-dns/libidn2
+       net-libs/gnutls
+       net-print/cups
+       sys-apps/dbus
+       sys-libs/glibc
+       sys-libs/zlib
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf
+       x11-libs/gtk+:3
+       x11-libs/libX11
+       x11-libs/libXau
+       x11-libs/libXcomposite
+       x11-libs/libXcursor
+       x11-libs/libXdamage
+       x11-libs/libXdmcp
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXi
+       x11-libs/libXrandr
+       x11-libs/libXrender
+       x11-libs/libdrm
+       x11-libs/libxcb
+       x11-libs/libxkbcommon
+       x11-libs/pango
+       x11-libs/pixman
+"
+
+QA_PREBUILT=".*"
+
+src_unpack() {
+       unpack ${P}.tar.xz
+}
+
+src_configure() {
+       default
+
+       chromium_suid_sandbox_check_kernel_config
+}
+
+src_prepare() {
+       default
+
+       cd locales || die
+       chromium_remove_language_paks
+}
+
+src_install() {
+       local app_root=/opt/${APP_NAME}
+       local app_dest="${ED}"/${app_root}
+
+       dodoc LICENSE.*
+       rm LICENSE.* || die
+
+       dodir "${app_root%/*}"
+       cp -r "${S}" "${app_dest}" || die
+
+       # Chrome-sandbox requires the setuid bit to be specifically set.
+       # see https://github.com/electron/electron/issues/17972
+       fowners root "${app_root}"/chrome-sandbox
+       fperms 4711 "${app_root}"/chrome-sandbox
+
+       dosym -r "${PYTHON}"    \
+                 
"${app_root}"/resources/app.asar.unpacked/node_modules/register-scheme/build/node_gyp_bins/python3
+
+       find "${app_dest}" -type f -name "*.a" -exec rm {} + || die
+
+       dosym -r "${app_root}"/heroic /usr/bin/heroic-run
+
+       # Install resources: desktop file and icon.
+       newmenu 
"${DISTDIR}"/com.heroicgameslauncher.hgl.desktop-${APP_RESOURCES_COMMIT}        
\
+                       com.heroicgameslauncher.hgl.desktop
+       newicon 
"${DISTDIR}"/com.heroicgameslauncher.hgl.png-${APP_RESOURCES_COMMIT}    \
+                       com.heroicgameslauncher.hgl.png
+}

Reply via email to